ADAPTER_KIND = "AriaApplicationsMP"
ADAPTER_NAME = "VMware Aria Operations for Applications"

# VMware Cloud Service Provider
CSP_CREDENTIAL_KEY = "cloud_service_provider_credential"
CSP_TOKEN_KEY = "cloud_service_provider_token"
CSP_URL = (
    "https://console.cloud.vmware.com/csp/gateway/am/api/auth/api-tokens/authorize"
)

# VMware Aria Operations for Applications
ARIA_APPS_URL = "aria_apps_url"
ARIA_APPS_CREDENTIAL_KEY = "aria_apps_credential"
ARIA_APPS_TOKEN_KEY = "aria_apps_token"  # nosec

ARIA_OPS_URL = "aria_ops_url"
CUSTOM_METRIC_PREFIX = "custom_metric_prefix"
ENABLE_POD_COLLECTION = "enable_pod_collection"
ENABLE_EXTERNAL_LINKS = "enable_external_links"
DATA_RETENTION_TIME = "data_retention_time"
QUERY_TIMEOUT = "query_timeout"

# object kinds
CLUSTER_OBJECT_KIND = "cluster"
DEPLOYMENT_OBJECT_KIND = "deployment"
NAMESPACE_OBJECT_KIND = "namespace"
NODE_OBJECT_KIND = "node"
POD_OBJECT_KIND = "pod"
REPLICASET_OBJECT_KIND = "replica_set"

# vmware vm kinds
VMWARE_ADAPTER_KIND = "VMWARE"
VMWARE_VM_KIND = "VirtualMachine"

AWS_ADAPTER_KIND = "AmazonAWSAdapter"
AWS_EC2_KIND = "ec2_instance"

# Identifier Keys
IDENTIFIER_ARIA_APPS_URL_KEY = "aria_applications_url"
IDENTIFIER_CLUSTER_KEY = "cluster"
IDENTIFIER_DEPLOYMENT_KEY = "deployment_name"
IDENTIFIER_NAMESPACE_KEY = "namespace"
IDENTIFIER_NODE_KEY = "node"
IDENTIFIER_POD_KEY = "pod"
IDENTIFIER_REPLICASET_KEY = "replicaset"

# Property Keys
PROPERTY_ARIA_APPS_URL_KEY = "aria_apps_url"
PROPERTY_INTERNAL_IP_KEY = "internal_ip"
PROPERTY_NAMESPACE_NAME_KEY = "namespace_name"
PROPERTY_NODE_NAME_KEY = "node_name"
PROPERTY_NODE_ROLE_KEY = "node_role"
PROPERTY_NODE_STATUS_KEY = "status"
PROPERTY_POD_STATUS_KEY = "status"
PROPERTY_PROVIDER_ID_KEY = "provider_id"
PROPERTY_REPLICA_SET_NAME_KEY = "replica_set_name"

# Group Keys
CPU_GROUP_KEY = "cpu"
MEMORY_GROUP_KEY = "memory"
FILESYSTEM_GROUP_KEY = "filesystem"

# Metric Keys
METRIC_CPU_ALLOCATABLE_KEY = "cpu_allocatable"
METRIC_CPU_CAPACITY_KEY = "cpu_capacity"
METRIC_CPU_RESERVED_KEY = "cpu_reserved"
METRIC_CPU_UTILIZATION_KEY = "cpu_utilization"
METRIC_CPU_USAGE_KEY = "cpu_usage"
METRIC_CPU_LIMIT_KEY = "cpu_limit"
METRIC_AVERAGE_CPU_UTILIZATION_KEY = "average_cpu_utilization"
METRIC_MEMORY_ALLOCATABLE_KEY = "memory_allocatable"
METRIC_MEMORY_CAPACITY_KEY = "memory_capacity"
METRIC_MEMORY_RESERVED_KEY = "memory_reserved"
METRIC_MEMORY_UTILIZATION_KEY = "memory_utilization"
METRIC_MEMORY_LIMIT_KEY = "memory_limit"
METRIC_MEMORY_USAGE_KEY = "memory_usage"
METRIC_AVERAGE_MEMORY_UTILIZATION_KEY = "average_memory_utilization"
METRIC_FILESYSTEM_AVAILABLE_KEY = "filesystem_available"
METRIC_FILESYSTEM_LIMIT_KEY = "filesystem_limit"
METRIC_FILESYSTEM_USAGE_KEY = "filesystem_usage"
METRIC_TOTAL_NUMBER_OF_PODS_KEY = "total_number_of_pods"
METRIC_TOTAL_NUMBER_OF_ACTIVE_NODES_KEY = "total_number_of_active_nodes"
METRIC_TOTAL_NUMBER_OF_INACTIVE_NODES_KEY = "total_number_of_inactive_nodes"
METRIC_TOTAL_NUMBER_OF_NAMESPACES_KEY = "total_number_of_namespaces"
METRIC_TOTAL_NUMBER_OF_DEPLOYMENTS = "total_number_of_deployments"
METRIC_POD_STATE_KEY_RUNNING = "pod_state_running"
METRIC_POD_STATE_KEY_PENDING = "pod_state_pending"
METRIC_POD_STATE_KEY_SUCCEEDED = "pod_state_succeeded"
METRIC_POD_STATE_KEY_FAILED = "pod_state_failed"
METRIC_POD_STATE_KEY_UNKNOWN = "pod_state_unknown"
METRIC_AVERAGE_STORAGE_UTILIZATION_KEY = "average_storage_utilization"
METRIC_LAST_UPDATE_TIME = "last_update_time"

# Misc
INVALID_EXTERNAL_LINK_ID = "INVALID_ID"
PLATFORM_DEFAULT = "Platform Default"
