from functools import wraps
from typing import Callable

from aoa_client import AOAClient
from aria.ops.pipe_utils import logging

logger = logging.getLogger(__name__)


def safe_call(func: Callable) -> Callable:
    @wraps(func)
    async def inner_call(aoa_client: AOAClient, metric_prefixes):
        try:
            return await func(aoa_client, metric_prefixes)
        except Exception as e:
            logger.error(f"unable to complete '{func}' due to: {e}")
            return []

    return inner_call
